

<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  
  <title>&lt;no title&gt; &mdash; posydon 0+untagged.3754.gf69f455.dirty documentation</title>
  

  
  <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />

  
  

  
  

  

  
  <!--[if lt IE 9]>
    <script src="../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
        <script src="../_static/jquery.js"></script>
        <script src="../_static/underscore.js"></script>
        <script src="../_static/doctools.js"></script>
        <script src="../_static/language_data.js"></script>
    
    <script type="text/javascript" src="../_static/js/theme.js"></script>

    
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../index.html" class="icon icon-home"> posydon
          

          
          </a>

          
            
            
              <div class="version">
                0+untagged.3754.gf69f455.dirty
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        
        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul>
<li class="toctree-l1"><a class="reference internal" href="../install/index.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/inifile.html">Configuration files for POSYDON</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/dynamic/dynamic.html">Run a Dynamic MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/fixed/fixed.html">Run a Fixed MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/PSyGrid.html">The PSyGrid Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/plot2D/plot2D.html">Showcase of 2D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/plot1D/plot1D.html">Showcase of 1D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../SingleStar/SingleStar.html">The Single Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../BinaryStar/BinaryStar.html">The Binary Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../visualization/VH_diagram.html">Van den Heuvel diagrams</a></li>
</ul>

            
          
        </div>
        
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../index.html">posydon</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          

















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../index.html" class="icon icon-home"></a> &raquo;</li>
        
      <li>&lt;no title&gt;</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
          
            <a href="../_sources/api/posydon.utils.gridutils.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <span class="target" id="module-posydon.utils.gridutils"></span><p>Various utility functions used for the manipulating grid data.</p>
<dl class="py function">
<dt id="posydon.utils.gridutils.T_merger_P">
<code class="sig-prename descclassname">posydon.utils.gridutils.</code><code class="sig-name descname">T_merger_P</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">P</span></em>, <em class="sig-param"><span class="n">m1</span></em>, <em class="sig-param"><span class="n">m2</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/utils/gridutils.html#T_merger_P"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.utils.gridutils.T_merger_P" title="Permalink to this definition">¶</a></dt>
<dd><p>Merger time given initial orbital period and masses of binary.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>P</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.9)"><em>float</em></a>) – Orbital period (days).</p></li>
<li><p><strong>m1</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.9)"><em>float</em></a>) – Mass of first star (Msun).</p></li>
<li><p><strong>m2</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.9)"><em>float</em></a>) – Mass of second star (Msun).</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>Merger time (Gyr)</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p><a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.9)">float</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="posydon.utils.gridutils.T_merger_a">
<code class="sig-prename descclassname">posydon.utils.gridutils.</code><code class="sig-name descname">T_merger_a</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">a</span></em>, <em class="sig-param"><span class="n">m1</span></em>, <em class="sig-param"><span class="n">m2</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/utils/gridutils.html#T_merger_a"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.utils.gridutils.T_merger_a" title="Permalink to this definition">¶</a></dt>
<dd><p>Merger time given initial orbital separation and masses of binary.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>a</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.9)"><em>float</em></a>) – Orbital separation (Rsun).</p></li>
<li><p><strong>m1</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.9)"><em>float</em></a>) – Mass of first star (Msun).</p></li>
<li><p><strong>m2</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.9)"><em>float</em></a>) – Mass of second star (Msun).</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>Merger time (Gyr) following Peters (1964), eq. (5.10).</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p><a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.9)">float</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="posydon.utils.gridutils.add_field">
<code class="sig-prename descclassname">posydon.utils.gridutils.</code><code class="sig-name descname">add_field</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">a</span></em>, <em class="sig-param"><span class="n">descr</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/utils/gridutils.html#add_field"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.utils.gridutils.add_field" title="Permalink to this definition">¶</a></dt>
<dd><p>Return a new array that is like <cite>a</cite>, but has additional fields.</p>
<p>The contents of <cite>a</cite> are copied over to the appropriate fields in the new
array, whereas the new fields are uninitialized. The arguments are not
modified.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>a</strong> (<em>structured numpy array</em>) – The base array.</p></li>
<li><p><strong>descr</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – A numpy type description of the new fields.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>Description of returned object.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p><a class="reference external" href="https://docs.python.org/3/library/functions.html#type" title="(in Python v3.9)">type</a></p>
</dd>
</dl>
<p class="rubric">Example</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">sa</span> <span class="o">=</span> <span class="n">numpy</span><span class="o">.</span><span class="n">array</span><span class="p">([(</span><span class="mi">1</span><span class="p">,</span> <span class="s1">&#39;Foo&#39;</span><span class="p">),</span> <span class="p">(</span><span class="mi">2</span><span class="p">,</span> <span class="s1">&#39;Bar&#39;</span><span class="p">)],</span>
<span class="go">                     dtype=[(&#39;id&#39;, int), (&#39;name&#39;, &#39;S3&#39;)])</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">sa</span><span class="o">.</span><span class="n">dtype</span><span class="o">.</span><span class="n">descr</span> <span class="o">==</span> <span class="n">numpy</span><span class="o">.</span><span class="n">dtype</span><span class="p">([(</span><span class="s1">&#39;id&#39;</span><span class="p">,</span> <span class="nb">int</span><span class="p">),</span> <span class="p">(</span><span class="s1">&#39;name&#39;</span><span class="p">,</span> <span class="s1">&#39;S3&#39;</span><span class="p">)])</span>
<span class="go">True</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">sb</span> <span class="o">=</span> <span class="n">add_field</span><span class="p">(</span><span class="n">sa</span><span class="p">,</span> <span class="p">[(</span><span class="s1">&#39;score&#39;</span><span class="p">,</span> <span class="nb">float</span><span class="p">)])</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">sb</span><span class="o">.</span><span class="n">dtype</span><span class="o">.</span><span class="n">descr</span> <span class="o">==</span> <span class="n">numpy</span><span class="o">.</span><span class="n">dtype</span><span class="p">([(</span><span class="s1">&#39;id&#39;</span><span class="p">,</span> <span class="nb">int</span><span class="p">),</span> <span class="p">(</span><span class="s1">&#39;name&#39;</span><span class="p">,</span> <span class="s1">&#39;S3&#39;</span><span class="p">),</span>
<span class="go">                                   (&#39;score&#39;, float)])</span>
<span class="go">True</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">numpy</span><span class="o">.</span><span class="n">all</span><span class="p">(</span><span class="n">sa</span><span class="p">[</span><span class="s1">&#39;id&#39;</span><span class="p">]</span> <span class="o">==</span> <span class="n">sb</span><span class="p">[</span><span class="s1">&#39;id&#39;</span><span class="p">])</span>
<span class="go">True</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">numpy</span><span class="o">.</span><span class="n">all</span><span class="p">(</span><span class="n">sa</span><span class="p">[</span><span class="s1">&#39;name&#39;</span><span class="p">]</span> <span class="o">==</span> <span class="n">sb</span><span class="p">[</span><span class="s1">&#39;name&#39;</span><span class="p">])</span>
<span class="go">True</span>
</pre></div>
</div>
</dd></dl>

<dl class="py function">
<dt id="posydon.utils.gridutils.beta_gw">
<code class="sig-prename descclassname">posydon.utils.gridutils.</code><code class="sig-name descname">beta_gw</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">m1</span></em>, <em class="sig-param"><span class="n">m2</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/utils/gridutils.html#beta_gw"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.utils.gridutils.beta_gw" title="Permalink to this definition">¶</a></dt>
<dd><p>Evaluate the “beta” (equation 5.9) from Peters (1964).</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>m1</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.9)"><em>float</em></a>) – Mass of the first star.</p></li>
<li><p><strong>m2</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#type" title="(in Python v3.9)"><em>type</em></a>) – Mass of the second star.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>Peters’ beta in cgs units.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p><a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.9)">float</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="posydon.utils.gridutils.clean_inlist_file">
<code class="sig-prename descclassname">posydon.utils.gridutils.</code><code class="sig-name descname">clean_inlist_file</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inlist</span></em>, <em class="sig-param"><span class="o">**</span><span class="n">kwargs</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/utils/gridutils.html#clean_inlist_file"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.utils.gridutils.clean_inlist_file" title="Permalink to this definition">¶</a></dt>
<dd><p>Get dictionary of possible parameters/values from the default inlist.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inlist</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – Path to inlist file.</p></li>
<li><p><strong>**kwargs</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#dict" title="(in Python v3.9)"><em>dict</em></a>) – TODO</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>Dictionary of parameters and values from inlist.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p><a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#dict" title="(in Python v3.9)">dict</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="posydon.utils.gridutils.convert_output_to_table">
<code class="sig-prename descclassname">posydon.utils.gridutils.</code><code class="sig-name descname">convert_output_to_table</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">output_file</span></em>, <em class="sig-param"><span class="n">binary_history_file</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">star1_history_file</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">star2_history_file</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">column_names</span><span class="o">=</span><span class="default_value">['result', 'CE_flag', 'M_1f(Msun)', 'M_2f(Msun)', 'Porb_f(d)', 'tmerge(Gyr)', 'log_L_1', 'log_T_1', 'He_core_1(Msun)', 'C_core_1(Msun)', 'log_L_2', 'log_T_2', 'He_core_2(Msun)', 'C_core_2(Msun)']</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/utils/gridutils.html#convert_output_to_table"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.utils.gridutils.convert_output_to_table" title="Permalink to this definition">¶</a></dt>
<dd><p>Convert output of a run, to a pandas dataframe.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>output_file</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – Path to MESA output file.</p></li>
<li><p><strong>binary_history_file</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – Path to binary history data.</p></li>
<li><p><strong>star1_history_file</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – Path to history data for star1.</p></li>
<li><p><strong>star2_history_file</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – Path to history data for star1.</p></li>
<li><p><strong>column_names</strong> (<em>list of str</em>) – Which columns to return.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>The table containing the requested columns from the run’s histories.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>pandas dataframe</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="posydon.utils.gridutils.find_index_nearest_neighbour">
<code class="sig-prename descclassname">posydon.utils.gridutils.</code><code class="sig-name descname">find_index_nearest_neighbour</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">array</span></em>, <em class="sig-param"><span class="n">value</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/utils/gridutils.html#find_index_nearest_neighbour"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.utils.gridutils.find_index_nearest_neighbour" title="Permalink to this definition">¶</a></dt>
<dd><p>Find the index of <cite>array</cite> closest to the value.</p>
</dd></dl>

<dl class="py function">
<dt id="posydon.utils.gridutils.find_nearest">
<code class="sig-prename descclassname">posydon.utils.gridutils.</code><code class="sig-name descname">find_nearest</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">val</span></em>, <em class="sig-param"><span class="n">array</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/utils/gridutils.html#find_nearest"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.utils.gridutils.find_nearest" title="Permalink to this definition">¶</a></dt>
<dd><p>Find the element of <cite>array</cite> closest to the value <cite>val</cite>.</p>
</dd></dl>

<dl class="py function">
<dt id="posydon.utils.gridutils.fix_He_core">
<code class="sig-prename descclassname">posydon.utils.gridutils.</code><code class="sig-name descname">fix_He_core</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">history</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/utils/gridutils.html#fix_He_core"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.utils.gridutils.fix_He_core" title="Permalink to this definition">¶</a></dt>
<dd><p>Make He core mass/radius at least equal to CO core mass/radius.</p>
</dd></dl>

<dl class="py function">
<dt id="posydon.utils.gridutils.get_cell_edges">
<code class="sig-prename descclassname">posydon.utils.gridutils.</code><code class="sig-name descname">get_cell_edges</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">grid_x</span></em>, <em class="sig-param"><span class="n">grid_y</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/utils/gridutils.html#get_cell_edges"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.utils.gridutils.get_cell_edges" title="Permalink to this definition">¶</a></dt>
<dd><p>Return the edges of grid cells to be used for plotting with pcolormesh.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>grid_x</strong> (<em>array</em>) – Center values of grid cells for X.</p></li>
<li><p><strong>grid_y</strong> (<em>array</em>) – Center values of grid cells for Y.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p><ul class="simple">
<li><p><em>array</em> – X grid values.</p></li>
<li><p><em>array</em> – Y grid values.</p></li>
</ul>
</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="posydon.utils.gridutils.get_final_proposed_points">
<code class="sig-prename descclassname">posydon.utils.gridutils.</code><code class="sig-name descname">get_final_proposed_points</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">proposed_x</span></em>, <em class="sig-param"><span class="n">grid_x</span></em>, <em class="sig-param"><span class="n">proposed_y</span></em>, <em class="sig-param"><span class="n">grid_y</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/utils/gridutils.html#get_final_proposed_points"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.utils.gridutils.get_final_proposed_points" title="Permalink to this definition">¶</a></dt>
<dd><p>Map proposed simulation points to the center of a correspoding cell.</p>
<p>Only one mapped value is returned if more than one proposed point falls
within one cell.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>proposed_x</strong> (<em>array</em>) – Proposed points for X.</p></li>
<li><p><strong>grid_x</strong> (<em>array</em>) – The values of X at the center of the grid cells.</p></li>
<li><p><strong>proposed_y</strong> (<em>array</em>) – Proposed points for Y.</p></li>
<li><p><strong>grid_y</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#type" title="(in Python v3.9)"><em>type</em></a>) – The values of Y at the center of the grid cells.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p><ul class="simple">
<li><p><em>array</em> – Mapped X values.</p></li>
<li><p><em>array</em> – Mapped Y values.</p></li>
</ul>
</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="posydon.utils.gridutils.join_lists">
<code class="sig-prename descclassname">posydon.utils.gridutils.</code><code class="sig-name descname">join_lists</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">A</span></em>, <em class="sig-param"><span class="n">B</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/utils/gridutils.html#join_lists"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.utils.gridutils.join_lists" title="Permalink to this definition">¶</a></dt>
<dd><p>Make a joint list of A and B without repetitions and keeping the order.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>A</strong> (<em>iterable</em>) – The baseline list to be extended.</p></li>
<li><p><strong>B</strong> (<em>iterable</em>) – The second list from which additional elements will be appened.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>The joint list by merging A and B.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p><a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#list" title="(in Python v3.9)">list</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="posydon.utils.gridutils.kepler3_a">
<code class="sig-prename descclassname">posydon.utils.gridutils.</code><code class="sig-name descname">kepler3_a</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">P</span></em>, <em class="sig-param"><span class="n">m1</span></em>, <em class="sig-param"><span class="n">m2</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/utils/gridutils.html#kepler3_a"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.utils.gridutils.kepler3_a" title="Permalink to this definition">¶</a></dt>
<dd><p>Calculate the semimajor axis of a binary from its period and masses.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>P</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.9)"><em>float</em></a>) – Orbital period (days).</p></li>
<li><p><strong>m1</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.9)"><em>float</em></a>) – Mass of first star.</p></li>
<li><p><strong>m2</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#type" title="(in Python v3.9)"><em>type</em></a>) – Mass of second star.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>Semi-major axis (Rsun) using Kepler’s third law.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p><a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.9)">float</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="posydon.utils.gridutils.read_EEP_data_file">
<code class="sig-prename descclassname">posydon.utils.gridutils.</code><code class="sig-name descname">read_EEP_data_file</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">path</span></em>, <em class="sig-param"><span class="n">columns</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/utils/gridutils.html#read_EEP_data_file"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.utils.gridutils.read_EEP_data_file" title="Permalink to this definition">¶</a></dt>
<dd><p>Same as <cite>read_MESA_data_file</cite> but for EEP files.</p>
</dd></dl>

<dl class="py function">
<dt id="posydon.utils.gridutils.read_MESA_data_file">
<code class="sig-prename descclassname">posydon.utils.gridutils.</code><code class="sig-name descname">read_MESA_data_file</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">path</span></em>, <em class="sig-param"><span class="n">columns</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/utils/gridutils.html#read_MESA_data_file"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.utils.gridutils.read_MESA_data_file" title="Permalink to this definition">¶</a></dt>
<dd><p>Read specific columns from a MESA output file to an array.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>path</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – The path to the file.</p></li>
<li><p><strong>columns</strong> (<em>list of strings</em>) – The list of names of the columns to be returned.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>The array containing the MESA data, or <cite>None</cite> if path was <cite>None</cite>.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>array or <a class="reference external" href="https://docs.python.org/3/library/constants.html#None" title="(in Python v3.9)">None</a></p>
</dd>
</dl>
</dd></dl>



           </div>
           
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>
        &#169; Copyright 2019, Tassos Fragkos.

    </p>
  </div>
    
    
    
    Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    
    provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>
        </div>
      </div>

    </section>

  </div>
  

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>